spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Public Member Functions | List of all members
spot::minato_isop Class Reference
Miscellaneous helper functions

Generate an irredundant sum-of-products (ISOP) form of a BDD function. More...

`#include <spot/misc/minato.hh>`

Collaboration diagram for spot::minato_isop:

## Public Member Functions
| minato_isop (bdd input)
| Conctructor. More...
| minato_isop (bdd input, bdd vars)
| Conctructor. More...
| minato_isop (bdd input_min, bdd input_max, bool)
| Conctructor. More...
bdd | next ()
| Compute the next sum term of the ISOP form. Return `bddfalse` when all terms have been output. More...

## Detailed Description

Generate an irredundant sum-of-products (ISOP) form of a BDD function.

This algorithm implements a derecursived version the Minato-Morreale algorithm presented in the following paper.

    @InProceedings{   minato.92.sasimi,
      author        = {Shin-ichi Minato},
      title         = {Fast Generation of Irredundant Sum-of-Products Forms
                      from Binary Decision Diagrams},
      booktitle     = {Proceedings of the third Synthesis and Simulation
                      and Meeting International Interchange workshop
                      (SASIMI'92)},
      pages         = {64--73},
      year          = {1992},
      address       = {Kobe, Japan},
      month         = {April}
    }

## Constructor & Destructor Documentation

spot::minato_isop::minato_isop | ( | bdd | input | ) |

Conctructor.

- input The BDD function to translate in ISOP.

spot::minato_isop::minato_isop | ( | bdd | input,
|  | bdd | vars
| ) |  |

Conctructor.

- input The BDD function to translate in ISOP.
- vars The set of BDD variables to factorize in input.

spot::minato_isop::minato_isop | ( | bdd | input_min,
|  | bdd | input_max,
|  | bool |
| ) |  |

Conctructor.

This version allow some flexibility in computing the ISOP. the result must be within input_min and input_max.

- input_min The minimum BDD function to translate in ISOP.
- input_max The maximum BDD function to translate in ISOP.

## Member Function Documentation

bdd spot::minato_isop::next | ( |  | ) |

Compute the next sum term of the ISOP form. Return `bddfalse` when all terms have been output.

The documentation for this class was generated from the following file:

- spot/misc/minato.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.